| tmap

## Function

Displays membrane spanning regions

## Description

This program predicts transmembrane segments in proteins, utilising the algorithm described in: "Persson, B. & Argos, P. (1994) Prediction of transmembrane segments in proteins utilising multiple sequence alignments J. Mol. Biol. 237, 182-192."

tmap reads in one or more aligned protein sequences.

Two sets of propensity values are then used for the calculations: one for the middle, hydrophobic portion and one for the terminal regions of the transmembrane sequence spans. Average propensity values are calculated for each position along the alignment, with the contribution from each sequence weighted according to its dissimilarity relative to the other aligned sequences.

Eight-residue segments are considered as potential cores of transmembrane segments and elongated if thier middle propensity values are above a threshold. End propensity values are also considered as stop signals. Only helices with a length of 15 to 29 residues are allowed and corrections for strictly conserved charged residues are made.

The method is more successful than predictions based upon single sequences alone.

The results are plotted on a graph and written to a text file.

## Usage

Here is a sample session with tmap

    % tmap tsw:opsd_human -out tmap.res -graph cps
    Displays membrane spanning regions

    Created tmap.ps

Go to the input files for this example
Go to the output files for this example

## Command line arguments

       Standard (Mandatory) qualifiers:
      [-sequences]         seqset     File containing a sequence alignment
       -graph              xygraph    Graph type
      [-outfile]           report     Output report file name

       Additional (Optional) qualifiers: (none)
       Advanced (Unprompted) qualifiers: (none)
       Associated qualifiers:

       "-sequences" associated qualifiers
       -sbegin1            integer    Start of each sequence to be used
       -send1              integer    End of each sequence to be used
       -sreverse1          boolean    Reverse (if DNA)
       -sask1              boolean    Ask for begin/end/reverse
       -snucleotide1       boolean    Sequence is nucleotide
       -sprotein1          boolean    Sequence is protein
       -slower1            boolean    Make lower case
       -supper1            boolean    Make upper case
       -sformat1           string     Input sequence format
       -sdbname1           string     Database name
       -sid1               string     Entryname
       -ufo1               string     UFO features
       -fformat1           string     Features format
       -fopenfile1         string     Features file name

       "-graph" associated qualifiers
       -gprompt            boolean    Graph prompting
       -gtitle             string     Graph title
       -gsubtitle          string     Graph subtitle
       -gxtitle            string     Graph x axis title
       -gytitle            string     Graph y axis title
       -goutfile           string     Output file for non interactive displays
       -gdirectory         string     Output directory

       "-outfile" associated qualifiers
       -rformat2           string     Report format
       -rname2             string     Base file name
       -rextension2        string     File name extension
       -rdirectory2        string     Output directory
       -raccshow2          boolean    Show accession number in the report
       -rdesshow2          boolean    Show description in the report
       -rscoreshow2        boolean    Show the score in the report
       -rusashow2          boolean    Show the full USA in the report

       General qualifiers:
       -auto               boolean    Turn off prompts
       -stdout             boolean    Write standard output
       -filter             boolean    Read standard input, write standard output
       -options            boolean    Prompt for standard and additional values
       -debug              boolean    Write debug output to program.dbg
       -verbose            boolean    Report some/full command line options
       -help               boolean    Report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose
       -warning            boolean    Report warnings
       -error              boolean    Report errors
       -fatal              boolean    Report fatal errors
       -die                boolean    Report deaths

Standard (Mandatory) qualifiers | Allowed values | Default
--- | --- | ---
[-sequences] (Parameter 1) | File containing a sequence alignment | Readable set of sequences | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png, xml | EMBOSS_GRAPHICS value, or x11
[-outfile] (Parameter 2) | Output report file name | Report output file |
Additional (Optional) qualifiers | Allowed values | Default
(none)
Advanced (Unprompted) qualifiers | Allowed values | Default
(none)

## Input file format

tmap reads a protein sequence USA for one or more aligned sequences.

### Input files for usage example

'tsw:opsd_human' is a sequence entry in the example protein database 'tsw'

### Database entry: tsw:opsd_human

    ID   OPSD_HUMAN     STANDARD;      PRT;   348 AA.
    AC   P08100; Q16414;
    DT   01-AUG-1988 (Rel. 08, Created)
    DT   01-AUG-1988 (Rel. 08, Last sequence update)
    DT   15-JUL-1999 (Rel. 38, Last annotation update)
    DE   RHODOPSIN.
    GN   RHO.
    OS   Homo sapiens (Human).
    OC   Eukaryota; Metazoa; Chordata; Craniata; Vertebrata; Mammalia;
    OC   Eutheria; Primates; Catarrhini; Hominidae; Homo.
    RN   [1]
    RP   SEQUENCE FROM N.A.
    RX   MEDLINE; 84272729.
    RA   NATHANS J., HOGNESS D.S.;
    RT   "Isolation and nucleotide sequence of the gene encoding human
    RT   rhodopsin.";
    RL   Proc. Natl. Acad. Sci. U.S.A. 81:4851-4855(1984).
    RN   [2]
    RP   SEQUENCE OF 1-120 FROM N.A.
    RA   BENNETT J., BELLER B., SUN D., KARIKO K.;
    RL   Submitted (NOV-1994) to the EMBL/GenBank/DDBJ databases.
    RN   [3]
    RP   REVIEW ON ADRP VARIANTS.
    RX   MEDLINE; 94004905.
    RA   AL-MAGHTHEH M., GREGORY C., INGLEHEARN C., HARDCASTLE A.,
    RA   BHATTACHARYA S.;
    RT   "Rhodopsin mutations in autosomal dominant retinitis pigmentosa.";
    RL   Hum. Mutat. 2:249-255(1993).
    RN   [4]
    RP   VARIANT ADRP HIS-23.
    RX   MEDLINE; 90136922.
    RA   DRYJA T.P., MCGEE T.L., REICHEI E., HAHN L.B., COWLEY G.S.,
    RA   YANDELL D.W., SANDBERG M.A., BERSON E.L.;
    RT   "A point mutation of the rhodopsin gene in one form of retinitis
    RT   pigmentosa.";
    RL   Nature 343:364-366(1990).
    RN   [5]
    RP   VARIANTS ADRP.
    RX   MEDLINE; 91051574.
    RA   FARRAR G.J., KENNA P., REDMOND R., MCWILLIAM P., BRADLEY D.G.,
    RA   HUMPHRIES M.M., SHARP E.M., INGLEHEARN C.F., BASHIR R., JAY M.,
    RA   WATTY A., LUDWIG M., SCHINZEL A., SAMANNS C., GAL A.,
    RA   BHATTACHARYA S.S., HUMPHRIES P.;
    RT   "Autosomal dominant retinitis pigmentosa: absence of the rhodopsin
    RT   proline-->histidine substitution (codon 23) in pedigrees from
    RT   Europe.";
    RL   Am. J. Hum. Genet. 47:941-945(1990).
    RN   [6]
    RP   VARIANTS ADRP HIS-23; ARG-58; LEU-347 AND SER-347.
    RX   MEDLINE; 91015273.

      [Part of this file has been deleted for brevity]

    FT                                /FTId=VAR_004816.
    FT   VARIANT     209    209       V -> M (EFFECT NOT KNOWN).
    FT                                /FTId=VAR_004817.
    FT   VARIANT     211    211       H -> P (IN ADRP).
    FT                                /FTId=VAR_004818.
    FT   VARIANT     211    211       H -> R (IN ADRP).
    FT                                /FTId=VAR_004819.
    FT   VARIANT     216    216       M -> K (IN ADRP).
    FT                                /FTId=VAR_004820.
    FT   VARIANT     220    220       F -> C (IN ADRP).
    FT                                /FTId=VAR_004821.
    FT   VARIANT     222    222       C -> R (IN ADRP).
    FT                                /FTId=VAR_004822.
    FT   VARIANT     255    255       MISSING (IN ADRP).
    FT                                /FTId=VAR_004823.
    FT   VARIANT     264    264       MISSING (IN ADRP).
    FT                                /FTId=VAR_004824.
    FT   VARIANT     267    267       P -> L (IN ADRP).
    FT                                /FTId=VAR_004825.
    FT   VARIANT     267    267       P -> R (IN ADRP).
    FT                                /FTId=VAR_004826.
    FT   VARIANT     292    292       A -> E (IN CSNB4).
    FT                                /FTId=VAR_004827.
    FT   VARIANT     296    296       K -> E (IN ADRP).
    FT                                /FTId=VAR_004828.
    FT   VARIANT     297    297       S -> R (IN ADRP).
    FT                                /FTId=VAR_004829.
    FT   VARIANT     342    342       T -> M (IN ADRP).
    FT                                /FTId=VAR_004830.
    FT   VARIANT     345    345       V -> L (IN ADRP).
    FT                                /FTId=VAR_004831.
    FT   VARIANT     345    345       V -> M (IN ADRP).
    FT                                /FTId=VAR_004832.
    FT   VARIANT     347    347       P -> A (IN ADRP).
    FT                                /FTId=VAR_004833.
    FT   VARIANT     347    347       P -> L (IN ADRP; COMMON VARIANT).
    FT                                /FTId=VAR_004834.
    FT   VARIANT     347    347       P -> Q (IN ADRP).
    FT                                /FTId=VAR_004835.
    FT   VARIANT     347    347       P -> R (IN ADRP).
    FT                                /FTId=VAR_004836.
    FT   VARIANT     347    347       P -> S (IN ADRP).
    FT                                /FTId=VAR_004837.
    SQ   SEQUENCE   348 AA;  38892 MW;  07443BEA CRC32;
         MNGTEGPNFY VPFSNATGVV RSPFEYPQYY LAEPWQFSML AAYMFLLIVL GFPINFLTLY
         VTVQHKKLRT PLNYILLNLA VADLFMVLGG FTSTLYTSLH GYFVFGPTGC NLEGFFATLG
         GEIALWSLVV LAIERYVVVC KPMSNFRFGE NHAIMGVAFT WVMALACAAP PLAGWSRYIP
         EGLQCSCGID YYTLKPEVNN ESFVIYMFVV HFTIPMIIIF FCYGQLVFTV KEAAAQQQES
         ATTQKAEKEV TRMVIIMVIA FLICWVPYAS VAFYIFTHQG SNFGPIFMTI PAFFAKSAAI
         YNPVIYIMMN KQFRNCMLTT ICCGKNPLGD DEASATVSKT ETSQVAPA
    //

## Output file format

### Output files for usage example

### File: tmap.res

    ########################################
    # Program: tmap
    # Rundate: Fri Jul 15 2005 12:00:00
    # Report_format: seqtable
    # Report_file: tmap.res
    ########################################

    #=======================================
    #
    # Sequence: Consensus     from: 1   to: 348
    # HitCount: 7
    #=======================================

      Start     End TransMem Sequence
         43      69        1 YMFLLIVLGFPINFLTLYVTVQHKKLR
         73      97        2 NYILLNLAVADLFMVLGGFTSTLYT
        112     140        3 LEGFFATLGGEIALWSLVVLAIERYVVVC
        148     176        4 FGENHAIMGVAFTWVMALACAAPPLAGWS
        201     229        5 ESFVIYMFVVHFTIPMIIIFFCYGQLVFT
        255     275        6 IIMVIAFLICWVPYASVAFYI
        282     302        7 NFGPIFMTIPAFFAKSAAIYN

    #---------------------------------------
    #---------------------------------------
    #=======================================
    #
    # Sequence: OPSD_HUMAN     from: 1   to: 348
    # HitCount: 7
    #=======================================

      Start     End TransMem Sequence
         43      69        1 YMFLLIVLGFPINFLTLYVTVQHKKLR
         73      97        2 NYILLNLAVADLFMVLGGFTSTLYT
        112     140        3 LEGFFATLGGEIALWSLVVLAIERYVVVC
        148     176        4 FGENHAIMGVAFTWVMALACAAPPLAGWS
        201     229        5 ESFVIYMFVVHFTIPMIIIFFCYGQLVFT
        255     275        6 IIMVIAFLICWVPYASVAFYI
        282     302        7 NFGPIFMTIPAFFAKSAAIYN

    #---------------------------------------
    #---------------------------------------

### Graphics File: tmap.ps

A plot of the propensities to form the middle and the end of transmembrane regions is output.

Bars are displayed in the plot above the regions predicted as being most likely to form transmembrane regions.

The text file (specified by the -outfile option) gives a summary of these regions.

The transmembrane regions for the complete alignment are given first, followed by the predictions for each individual sequence in the alignment. (There is only one sequence in the example alignment.)

## Data files

None.

## Notes

None.

## References

1. "Persson, B. & Argos, P. (1994) Prediction of transmembrane segments in proteins utilsing multiple sequence alignments J. Mol. Biol. 237, 182-192."

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

0 if successful.

## Known bugs

None.

## See also

Program name | Description
--- | ---
garnier | Predicts protein secondary structure
helixturnhelix | Report nucleic acid binding motifs
hmoment | Hydrophobic moment calculation
pepcoil | Predicts coiled coil regions
pepnet | Displays proteins as a helical net
pepwheel | Shows protein sequences as helices

## Author(s)

Original program by Bengt Persson and Patrick Argos.

This application was modified for inclusion in EMBOSS by Ian Longden (il © sanger.ac.uk)
Sanger Institute, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## History

Completed 17th June 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments

The graph y axis is not labelled. It is some kind of score, but we aer not sure exactly how to describe it.